Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000986 [Piwigo] search minor always 2009.05.05 10:59 2010.05.11 21:55
Reporter ddtddt View Status public  
Assigned To ddtddt
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.10 Product Version 2.0.9
  Target Version 2.0.10 Product Build
Summary 0000986: [admin maintenance screen] ability to clear *_search table
Description The search results are stored in a table for reuse (Today it is not the case)

Add ability to empty the table in the maintenance of the administration of Piwigo
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002588)
ddtddt (administrator)
2009.05.05 11:35

in maintenance.php
Add row 103:
    case 'search' :
  {
    $query = '
DELETE
  FROM '.SEARCH_TABLE.'
;';
    pwg_query($query);
    break;
  }

in maintenance.tpl add row 17

  
  • {$U_MAINT_SEARCH}


  • in admin.lang.php add
    $lang['Purge search history'] = 'Purge search history';

    ex FR : $lang['Purge search history'] = 'Purger l\'historique des recherches';
    (0002681)
    svn (reporter)
    2009.07.04 21:05

    [Subversion] r3516 by ddtddt on branch 2.0

    -----[Subversion commit log]----------------------------------------------------
    bug 986 branche 2
    (0002683)
    ddtddt (administrator)
    2009.07.04 21:22

    [Subversion] r3615 / [Subversion] r3617
    (0003508)
    ddtddt (administrator)
    2010.03.09 18:08

    URL doesn't give the section
    (0003509)
    svn (reporter)
    2010.03.09 18:09

    [Subversion] r5093 by ddtddt on branch 2.0

    -----[Subversion commit log]----------------------------------------------------
    [Branche2] bug:986
    (0003510)
    svn (reporter)
    2010.03.09 18:12

    [Subversion] r5094 by ddtddt on trunk

    -----[Subversion commit log]----------------------------------------------------
    [trunk] merge 5093 bug:986

    - Issue History
    Date Modified Username Field Change
    2009.05.05 10:59 ddtddt New Issue
    2009.05.05 10:59 ddtddt browser => any
    2009.05.05 10:59 ddtddt Web server => Apache 1.3.x
    2009.05.05 11:35 ddtddt Note Added: 0002588
    2009.05.05 11:38 ddtddt Assigned To => ddtddt
    2009.05.05 11:38 ddtddt Status new => assigned
    2009.07.04 21:05 svn Checkin
    2009.07.04 21:05 svn Note Added: 0002681
    2009.07.04 21:22 ddtddt Note Added: 0002683
    2009.07.04 21:22 ddtddt Status assigned => resolved
    2009.07.04 21:22 ddtddt Fixed in Version => 2.0.3
    2009.07.04 21:22 ddtddt Resolution open => fixed
    2009.07.05 12:22 plg Status resolved => closed
    2010.03.09 18:08 ddtddt Note Added: 0003508
    2010.03.09 18:09 ddtddt Status closed => assigned
    2010.03.09 18:09 ddtddt Resolution fixed => reopened
    2010.03.09 18:09 ddtddt version 2.0.1 => 2.0.9
    2010.03.09 18:09 svn Checkin
    2010.03.09 18:09 svn Note Added: 0003509
    2010.03.09 18:12 svn Checkin
    2010.03.09 18:12 svn Note Added: 0003510
    2010.03.09 18:12 ddtddt Status assigned => closed
    2010.03.09 18:12 ddtddt Resolution reopened => fixed
    2010.03.09 18:12 ddtddt Fixed in Version 2.0.3 => 2.0.10
    2010.03.09 18:12 ddtddt Target Version => 2.0.10
    2010.05.11 21:55 plg Summary Opportunity to clear the table *_search in the maintenance => [admin maintenance screen] ability to clear *_search table


    Mantis 1.1.6[^]
    Copyright © 2000 - 2008 Mantis Group
    Contact
    Powered by Mantis Bugtracker